Page MenuHomePhabricator

Subpage breadcrumbs not shown after saving the page with VisualEditor
Closed, ResolvedPublic8 Story Points

Description

Steps to reproduce:

  • Edit a subpage with VisualEditor
  • Save the page

Expected result:

  • The page is shown with all its expected elements.

Actual result:

  • The subpage breadcrumbs are missing.

Event Timeline

gpaumier created this task.Apr 30 2015, 8:37 PM
gpaumier raised the priority of this task from to Needs Triage.
gpaumier updated the task description. (Show Details)
gpaumier added a project: VisualEditor.
gpaumier added a subscriber: gpaumier.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2015, 8:37 PM

You see the crumbtrail while editing, but after editing it's gone until you reload.
The DOM has a <div id="contentSub"> but it's empty. Upon reload you see the expected
<div id="contentSub"><span class="subpages">&lt; page links </span></div>

Jdforrester-WMF renamed this task from Subpage breadcrumbs not shown after saving the page with VisualEditor to [Regression] Subpage breadcrumbs not shown after saving the page with VisualEditor.Aug 25 2015, 7:16 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

When you save the API calls $this->getOutput()->getSubtitle() to get the new text for that, but it's returning nothing... I guess we used to trigger something that would set it.

Friendly bump. This is a minor issue but still slightly annoying :)

Are you absolutely sure this is a regression? Looking at the core code, I don't see how this ever worked.

I figured out how to get it working with 10 lines of hacking around MediaWiki's context internals though

Are you absolutely sure this is a regression? Looking at the core code, I don't see how this ever worked.

No. :-)

Change 281463 had a related patch set uploaded (by Alex Monk):
Horrible context hacks to make subpage breadcrumbs show after save

https://gerrit.wikimedia.org/r/281463

Jdforrester-WMF renamed this task from [Regression] Subpage breadcrumbs not shown after saving the page with VisualEditor to Subpage breadcrumbs not shown after saving the page with VisualEditor.Apr 25 2016, 7:14 PM
Jdforrester-WMF assigned this task to AlexMonk-WMF.
Jdforrester-WMF removed a project: Regression.

Change 285428 had a related patch set uploaded (by Alex Monk):
Allow specifying OutputPage object in Skin::subPageSubtitle parameters

https://gerrit.wikimedia.org/r/285428

Change 285428 merged by jenkins-bot:
Allow specifying OutputPage object in Skin::subPageSubtitle parameters

https://gerrit.wikimedia.org/r/285428

Change 281463 merged by jenkins-bot:
Fix display of subpage breadcrumbs show after save

https://gerrit.wikimedia.org/r/281463

Jdforrester-WMF closed this task as Resolved.Jun 29 2016, 4:45 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF changed the point value for this task from 1 to 8.